GNU bug report logs - #24195
25.0.95; Wrong indentation after a 'less < than' comparison (c++-mode)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,cc-mode; Severity: minor; Reported by: Arash <pbqbqp@HIDDEN>; Keywords: wontfix; dated Wed, 10 Aug 2016 15:40:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) wontfix. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 24195 <at> debbugs.gnu.org:


Received: (at 24195) by debbugs.gnu.org; 25 Aug 2016 01:24:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 24 21:24:35 2016
Received: from localhost ([127.0.0.1]:39528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bcjPH-0007Rg-KC
	for submit <at> debbugs.gnu.org; Wed, 24 Aug 2016 21:24:35 -0400
Received: from mail-it0-f49.google.com ([209.85.214.49]:37926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1bcjPE-0007RO-DX; Wed, 24 Aug 2016 21:24:33 -0400
Received: by mail-it0-f49.google.com with SMTP id n128so66321530ith.1;
 Wed, 24 Aug 2016 18:24:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=4G1HGcCBE8ShndLSnph2RcZl63rMg0+43yvQLt3C6SI=;
 b=ukRz7RyVbXK3IlKm83nR8QTgNHHuP/dkuNTqBD7pUZ4f2JPcGkR180iqVH3qpyQWQe
 MqBdIkAWIuMHKjlKzxqjDdb2fg4G26LhP+9ItvsMt8Ad24C9MnF4R4Qrm6QiQ57BvT92
 CCApLfqvHgtVpHNNWAhSWtGH4afhQzRYvAlTgYpR3bAEPJP7zmr2+SyuBgfyakEY4WF6
 qw23Msewo35WSJqo6gVOhO2Fvfn5HgVgOX4JGdyIIAj7XKdtRxBpagoBhh8K/b+Rxsf2
 FEZ7DQTmdHbA0nRc0biSaMdxr57NExFZAOyhB57Z8sZcFpMuwbcAE2hZ8EZq7gFhgV/P
 9fTg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=4G1HGcCBE8ShndLSnph2RcZl63rMg0+43yvQLt3C6SI=;
 b=BHxnA3Jq3F1W/b6p1/teWgQ+et63uxry1kqRHl7QV5FcqXpcz2776mPzGedW+Pr0hc
 SHn6QLvIcwg3jmDX41MAnDDa5kVzFYcSaQ7mxNW+3azs9smFui0BpgpUfIjm77fCHPOw
 tGIkDRQDq0S1bGc75BsQ/Ny/dEWur/NaDlrZ9jsyDiGdYqA3m6z+jscMsjvlL0qdoU+L
 zRAaM4vJdLd7kSnaSofZXaifrqh0o5BO7ZvHZDANQROt3/fKEiY8LMwaSzbgebUU0Efi
 t3PdtE2uyR+QmgQPW19HytqBjTA/yIi/tW7rt+MSdzKizBj9jbFpU3ZJiRg9YijLrhZR
 PyBg==
X-Gm-Message-State: AE9vXwOg/utYO1oDMQ60zOW9hsmZ3/pUAiV6nhfUQqQNFWwuE6S6JHWTpjRb8YqTmoyK9g==
X-Received: by 10.36.10.145 with SMTP id 139mr2180814itw.68.1472088266809;
 Wed, 24 Aug 2016 18:24:26 -0700 (PDT)
Received: from zony ([45.2.7.130])
 by smtp.googlemail.com with ESMTPSA id o201sm4522161iod.16.2016.08.24.18.24.25
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 24 Aug 2016 18:24:26 -0700 (PDT)
From: npostavs@HIDDEN
To: Alan Mackenzie <acm@HIDDEN>
Subject: Re: bug#24195: 25.0.95;
 Wrong indentation after a 'less < than' comparison (c++-mode)
References: <86a8glhsk3.fsf@HIDDEN> <20160811121421.GA3753@HIDDEN>
 <CAM-tV--7K7n-vYQ1KJqq0cwHq+8ZaGc4HySm-y1hn1naxzTZ6A@HIDDEN>
 <877fbm7wpm.fsf@HIDDEN> <87inuyuvip.fsf@HIDDEN>
 <20160822110802.GB2571@HIDDEN>
Date: Wed, 24 Aug 2016 21:24:43 -0400
In-Reply-To: <20160822110802.GB2571@HIDDEN> (Alan Mackenzie's message
 of "Mon, 22 Aug 2016 11:08:02 +0000")
Message-ID: <87fupttzc4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24195
Cc: Arash <pbqbqp@HIDDEN>, Andreas Schwab <schwab@HIDDEN>,
 24195 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

tags 24195 wontfix
quit

Alan Mackenzie <acm@HIDDEN> writes:

>> So could we say "<" can't be a template opener when it comes after a
>> close paren except for the close paren of "operator()"?
>
> We could, but I can't see it helping very much (though it might help a
> little bit).
>
> There are probably quite a lot of special cases like that where it is
> possible to say for sure that the "<" does/doesn't introduce a template
> construct.  But that will leave a lot of ambiguous cases.  The more we
> try to analyse these, the closer we get to building a compiler inside CC
> Mode.  For example, the example given might have been "k < l() && ....",
> leaving no syntactic clues about the templateicity of "<".
>
> Analysing the C++ syntax to determine these determinable cases would be
> a lot of work, and it would be a lot of work to implement it, too.
>
> The C++ standards people haven't thought it worthwhile to preserve
> unambigious syntax in their language, so there is no way CC Mode can get
> it right every time.

Makes sense, I've been out of C++ for some time, so I kind of forgot how
ridiculous the syntax is.  Marking as wontfix.




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#24195; Package emacs,cc-mode. Full text available.

Message received at 24195 <at> debbugs.gnu.org:


Received: (at 24195) by debbugs.gnu.org; 22 Aug 2016 11:08:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 22 07:08:33 2016
Received: from localhost ([127.0.0.1]:36519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bbn5l-0003es-Ce
	for submit <at> debbugs.gnu.org; Mon, 22 Aug 2016 07:08:33 -0400
Received: from mail.muc.de ([193.149.48.3]:34788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <acm@HIDDEN>) id 1bbn5j-0003ek-EM
 for 24195 <at> debbugs.gnu.org; Mon, 22 Aug 2016 07:08:31 -0400
Received: (qmail 91734 invoked by uid 3782); 22 Aug 2016 11:08:30 -0000
Received: from acm.muc.de (p548C68DC.dip0.t-ipconnect.de [84.140.104.220]) by
 colin.muc.de (tmda-ofmipd) with ESMTP;
 Mon, 22 Aug 2016 13:08:28 +0200
Received: (qmail 11243 invoked by uid 1000); 22 Aug 2016 11:08:02 -0000
Date: Mon, 22 Aug 2016 11:08:02 +0000
To: npostavs@HIDDEN
Subject: Re: bug#24195: 25.0.95; Wrong indentation after a 'less < than'
 comparison (c++-mode)
Message-ID: <20160822110802.GB2571@HIDDEN>
References: <86a8glhsk3.fsf@HIDDEN> <20160811121421.GA3753@HIDDEN>
 <CAM-tV--7K7n-vYQ1KJqq0cwHq+8ZaGc4HySm-y1hn1naxzTZ6A@HIDDEN>
 <877fbm7wpm.fsf@HIDDEN>
 <87inuyuvip.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87inuyuvip.fsf@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Delivery-Agent: TMDA/1.1.12 (Macallan)
From: Alan Mackenzie <acm@HIDDEN>
X-Primary-Address: acm@HIDDEN
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 24195
Cc: Arash <pbqbqp@HIDDEN>, Andreas Schwab <schwab@HIDDEN>,
 24195 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

Hello, Noam.

On Thu, Aug 18, 2016 at 08:11:26AM -0400, npostavs@HIDDEN wrote:
> Andreas Schwab <schwab@HIDDEN> writes:

> > On Aug 12 2016, Noam Postavsky <npostavs@HIDDEN> wrote:

> >> On Thu, Aug 11, 2016 at 8:14 AM, Alan Mackenzie <acm@HIDDEN> wrote:
> >>> Yes.  In the line "k() < l() &&", the "<" is being recognised as a
> >>> template opener.

> >> Is it possible to say that "<" can't be a template opener when it
> >> comes after a close paren? (I can't think of a case in C++ where that
> >> would fail, though I'm not 100% certain there isn't one)

> > operator()<foo>

> So could we say "<" can't be a template opener when it comes after a
> close paren except for the close paren of "operator()"?

We could, but I can't see it helping very much (though it might help a
little bit).

There are probably quite a lot of special cases like that where it is
possible to say for sure that the "<" does/doesn't introduce a template
construct.  But that will leave a lot of ambiguous cases.  The more we
try to analyse these, the closer we get to building a compiler inside CC
Mode.  For example, the example given might have been "k < l() && ....",
leaving no syntactic clues about the templateicity of "<".

Analysing the C++ syntax to determine these determinable cases would be
a lot of work, and it would be a lot of work to implement it, too.

The C++ standards people haven't thought it worthwhile to preserve
unambigious syntax in their language, so there is no way CC Mode can get
it right every time.

-- 
Alan Mackenzie (Nuremberg, Germany).




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#24195; Package emacs,cc-mode. Full text available.

Message received at 24195 <at> debbugs.gnu.org:


Received: (at 24195) by debbugs.gnu.org; 18 Aug 2016 12:11:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 18 08:11:29 2016
Received: from localhost ([127.0.0.1]:60956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1baMAP-0005Vx-BC
	for submit <at> debbugs.gnu.org; Thu, 18 Aug 2016 08:11:29 -0400
Received: from mail-it0-f50.google.com ([209.85.214.50]:38501)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1baMAJ-0005Vg-Jj
 for 24195 <at> debbugs.gnu.org; Thu, 18 Aug 2016 08:11:24 -0400
Received: by mail-it0-f50.google.com with SMTP id n128so15380205ith.1
 for <24195 <at> debbugs.gnu.org>; Thu, 18 Aug 2016 05:11:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=vtr52AxUEQ4juOUdJWOUiP9Od8gtmmAeAFUxiqHC0qs=;
 b=BIHgV7DLVzxZiMkacWUuPPx4aCsdU6ik7BR0y+OmIp3AEQJLhpCIhD4TikO+0eysrF
 IdWJaXuKYQLzjutP9uRxi2AZeFGTA4wpQ9LQd3gJktPwk1ULkrh7HcX2UecuAAhJ2evT
 ssP1egjWeEDkK557u8kAf+1FfpnvlwUGxQfgRoo4lJLVq0OKtLu9ZD27/Z9Mw5aBGkdI
 y759RSifGX4QsWXfZyi8tiGH+ohqHDsBfm5d6y2vQVGxeKyDqXEDhnEikAghEWiIi3D/
 LvlVGHs4cuyDoJcXRLvMjGM0WbDc+VwKolkx/7jN21TFLQEimj5SQqSQ8XmhMM7W23cB
 LJiA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=vtr52AxUEQ4juOUdJWOUiP9Od8gtmmAeAFUxiqHC0qs=;
 b=L6oqn99TU58qfNiEmVo2zdNzZ6vtvRYoSm6iQgZvBpITtzx9dsajm52xDXz82OZWo1
 TqiVnIxjDhMq3ZXEVdODDt69t2wUhmFLQ1pQdG7Iaff8W3EOc5UjCJ+UhTHPj3Z5i0kW
 40iR/scn3Rl/yuUj0LgTnyGFqIrivmVnqElj+qLvugZP3wGCkPJxesncv678UgQ0MZFL
 TPx8HEuJeFmS6IIObwZf1sUZRs39WzfJeiZKMW4Tlwpn5h1A5y0ItNuhAZyjlcSf/p+K
 DrdC/wu6dfCyek6XXueoKM6Cvp9ra+oW4LEMNqZ47zwF4qGMr1NJJyK5/hY0NVWb+gkj
 tejQ==
X-Gm-Message-State: AEkoouvRHuC5NWureEmNtBAcS4WQXc3gpz9lFuKJ9ccK3pyWQxhTB1qqtCvIpY+6w2khkw==
X-Received: by 10.36.210.68 with SMTP id z65mr2919653itf.32.1471522274053;
 Thu, 18 Aug 2016 05:11:14 -0700 (PDT)
Received: from zony ([45.2.7.130])
 by smtp.googlemail.com with ESMTPSA id o16sm2114182itg.15.2016.08.18.05.11.13
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 18 Aug 2016 05:11:13 -0700 (PDT)
From: npostavs@HIDDEN
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#24195: 25.0.95;
 Wrong indentation after a 'less < than' comparison (c++-mode)
References: <86a8glhsk3.fsf@HIDDEN> <20160811121421.GA3753@HIDDEN>
 <CAM-tV--7K7n-vYQ1KJqq0cwHq+8ZaGc4HySm-y1hn1naxzTZ6A@HIDDEN>
 <877fbm7wpm.fsf@HIDDEN>
Date: Thu, 18 Aug 2016 08:11:26 -0400
In-Reply-To: <877fbm7wpm.fsf@HIDDEN> (Andreas Schwab's message of
 "Fri, 12 Aug 2016 18:56:05 +0200")
Message-ID: <87inuyuvip.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24195
Cc: Alan Mackenzie <acm@HIDDEN>, Arash <pbqbqp@HIDDEN>,
 24195 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Andreas Schwab <schwab@HIDDEN> writes:

> On Aug 12 2016, Noam Postavsky <npostavs@HIDDEN> wrote:
>
>> On Thu, Aug 11, 2016 at 8:14 AM, Alan Mackenzie <acm@HIDDEN> wrote:
>>> Yes.  In the line "k() < l() &&", the "<" is being recognised as a
>>> template opener.
>>
>> Is it possible to say that "<" can't be a template opener when it
>> comes after a close paren? (I can't think of a case in C++ where that
>> would fail, though I'm not 100% certain there isn't one)
>
> operator()<foo>

So could we say "<" can't be a template opener when it comes after a
close paren except for the close paren of "operator()"?




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#24195; Package emacs,cc-mode. Full text available.

Message received at 24195 <at> debbugs.gnu.org:


Received: (at 24195) by debbugs.gnu.org; 12 Aug 2016 16:56:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 12 12:56:12 2016
Received: from localhost ([127.0.0.1]:55366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bYFki-0002Ep-A9
	for submit <at> debbugs.gnu.org; Fri, 12 Aug 2016 12:56:12 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:45263)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1bYFkg-0002Eh-TI
 for 24195 <at> debbugs.gnu.org; Fri, 12 Aug 2016 12:56:11 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 3s9rcn5bCzz3hjHK;
 Fri, 12 Aug 2016 18:56:06 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.68])
 by mail.m-online.net (Postfix) with ESMTP id 3s9rck3b6Czw2Cs;
 Fri, 12 Aug 2016 18:56:06 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.68]) (amavisd-new,
 port 10024)
 with ESMTP id NvGgjaxHY308; Fri, 12 Aug 2016 18:56:05 +0200 (CEST)
X-Auth-Info: xWZRdSNGtjAHi1J8mld/JTZuN9ZN4zlQcInK+W4s5SL1sSSwG9K/wTUSsdD3EC1S
Received: from igel.home (ppp-88-217-28-17.dynamic.mnet-online.de
 [88.217.28.17]) by mail.mnet-online.de (Postfix) with ESMTPA;
 Fri, 12 Aug 2016 18:56:05 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 311E12C3BAB; Fri, 12 Aug 2016 18:56:05 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#24195: 25.0.95;
 Wrong indentation after a 'less < than' comparison (c++-mode)
References: <86a8glhsk3.fsf@HIDDEN> <20160811121421.GA3753@HIDDEN>
 <CAM-tV--7K7n-vYQ1KJqq0cwHq+8ZaGc4HySm-y1hn1naxzTZ6A@HIDDEN>
X-Yow: I smell a RANCID CORN DOG!
Date: Fri, 12 Aug 2016 18:56:05 +0200
In-Reply-To: <CAM-tV--7K7n-vYQ1KJqq0cwHq+8ZaGc4HySm-y1hn1naxzTZ6A@HIDDEN>
 (Noam Postavsky's message of "Fri, 12 Aug 2016 11:26:33 -0400")
Message-ID: <877fbm7wpm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24195
Cc: Alan Mackenzie <acm@HIDDEN>, Arash <pbqbqp@HIDDEN>,
 24195 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Aug 12 2016, Noam Postavsky <npostavs@HIDDEN> wrote:

> On Thu, Aug 11, 2016 at 8:14 AM, Alan Mackenzie <acm@HIDDEN> wrote:
>> Yes.  In the line "k() < l() &&", the "<" is being recognised as a
>> template opener.
>
> Is it possible to say that "<" can't be a template opener when it
> comes after a close paren? (I can't think of a case in C++ where that
> would fail, though I'm not 100% certain there isn't one)

operator()<foo>

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#24195; Package emacs,cc-mode. Full text available.

Message received at 24195 <at> debbugs.gnu.org:


Received: (at 24195) by debbugs.gnu.org; 12 Aug 2016 15:26:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 12 11:26:42 2016
Received: from localhost ([127.0.0.1]:55316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bYEM6-0005La-NI
	for submit <at> debbugs.gnu.org; Fri, 12 Aug 2016 11:26:42 -0400
Received: from mail-oi0-f42.google.com ([209.85.218.42]:33950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1bYEM3-0005LL-Ck
 for 24195 <at> debbugs.gnu.org; Fri, 12 Aug 2016 11:26:40 -0400
Received: by mail-oi0-f42.google.com with SMTP id l203so38635681oib.1
 for <24195 <at> debbugs.gnu.org>; Fri, 12 Aug 2016 08:26:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=qPJJzDvcqSQYu49oV5jFi70A4q4NDdiY0nFNZBTGm8k=;
 b=RY+RRGthMWucGZ6kUbgfOWW3Cqfiuk/dwuwAAXp4Doz97MeSuHN0FsS9uYdbkk7ggi
 jws6Hmso5By2Gi2Ecrc15KkrfYetIV/EcVjCSwVzqdrSRsb1xndRLdLkAjDe8gffKfPi
 NOeupqFFeIOtVy4eyKnqa9C13R7kK6QHw4dsszCk6XTjt/QSwPGoqCCj7Hn8R0KRDMz1
 hDHB7NCL0JorRHSrAmCWVeqNdC6Zkso7IJnaJhLK2Tl30WtRBJXOpECbsLHc0ZmnOKi3
 wSUSL8j10vnWn1VnV5tLZVT8U/rXWuo5n1YLC4yOCyn2XymiafpHw16wVpd53c/frtwQ
 q4pA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=qPJJzDvcqSQYu49oV5jFi70A4q4NDdiY0nFNZBTGm8k=;
 b=A6YBtUMVMzJpRjoZevUm3/Fha5gQIuPT+RTwY9L5f5qTjOxm1Njuw+jUd9WVElN714
 C49W6j5z3UAjhk0HMNirWCW6ZnIdmfXpcbK8attHFtoD41XPG2tCLfl/sNRo0jHVvzBr
 AWGJ1mI3amr9xjo5MIy9qtBs1wV9qKc3X2uFOwd5Ky9XdSd1qS5V6+d1rl9USjeMoZ66
 7eu4mQCxY/WiIVZQpGD5tvHh0yFFfHegObcUEPNPY8z+YBfEgWlTr/SIsdXX4GjCD9z8
 8YHU0WZ88/6G3yTVE3JauS8setfu59oEUCpv7kNjNDqUlMOVgwN+4zZnCN9duuc0Tx/R
 nBlA==
X-Gm-Message-State: AEkooutSt59B0iOeFgMQ8O8j/dqUGJDfwqJvO1cmIOXttRhVyp3BT43LK+K/444AD9fMiYeLTv1QsQgUIlk2RA==
X-Received: by 10.202.169.13 with SMTP id s13mr7628352oie.35.1471015593781;
 Fri, 12 Aug 2016 08:26:33 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.7.200 with HTTP; Fri, 12 Aug 2016 08:26:33 -0700 (PDT)
In-Reply-To: <20160811121421.GA3753@HIDDEN>
References: <86a8glhsk3.fsf@HIDDEN> <20160811121421.GA3753@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Fri, 12 Aug 2016 11:26:33 -0400
X-Google-Sender-Auth: JX7WMFxHOLsT-Z6Yr1OS3csfago
Message-ID: <CAM-tV--7K7n-vYQ1KJqq0cwHq+8ZaGc4HySm-y1hn1naxzTZ6A@HIDDEN>
Subject: Re: bug#24195: 25.0.95; Wrong indentation after a 'less < than'
 comparison (c++-mode)
To: Alan Mackenzie <acm@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24195
Cc: Arash <pbqbqp@HIDDEN>, 24195 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Thu, Aug 11, 2016 at 8:14 AM, Alan Mackenzie <acm@HIDDEN> wrote:
> Yes.  In the line "k() < l() &&", the "<" is being recognised as a
> template opener.

Is it possible to say that "<" can't be a template opener when it
comes after a close paren? (I can't think of a case in C++ where that
would fail, though I'm not 100% certain there isn't one)




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#24195; Package emacs,cc-mode. Full text available.

Message received at 24195 <at> debbugs.gnu.org:


Received: (at 24195) by debbugs.gnu.org; 11 Aug 2016 12:14:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 11 08:14:57 2016
Received: from localhost ([127.0.0.1]:53083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bXosz-0003Kx-7t
	for submit <at> debbugs.gnu.org; Thu, 11 Aug 2016 08:14:57 -0400
Received: from mail.muc.de ([193.149.48.3]:18717)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <acm@HIDDEN>) id 1bXosx-0003Ko-64
 for 24195 <at> debbugs.gnu.org; Thu, 11 Aug 2016 08:14:55 -0400
Received: (qmail 24229 invoked by uid 3782); 11 Aug 2016 12:14:53 -0000
Received: from acm.muc.de (p548C6115.dip0.t-ipconnect.de [84.140.97.21]) by
 colin.muc.de (tmda-ofmipd) with ESMTP;
 Thu, 11 Aug 2016 14:14:51 +0200
Received: (qmail 3815 invoked by uid 1000); 11 Aug 2016 12:14:21 -0000
Date: Thu, 11 Aug 2016 12:14:21 +0000
To: Arash <pbqbqp@HIDDEN>
Subject: Re: bug#24195: 25.0.95; Wrong indentation after a 'less < than'
 comparison (c++-mode)
Message-ID: <20160811121421.GA3753@HIDDEN>
References: <86a8glhsk3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <86a8glhsk3.fsf@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Delivery-Agent: TMDA/1.1.12 (Macallan)
From: Alan Mackenzie <acm@HIDDEN>
X-Primary-Address: acm@HIDDEN
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 24195
Cc: 24195 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Hello, Arash.

On Wed, Aug 10, 2016 at 02:08:52PM +0430, Arash wrote:
> $ emacs -Q test.cc

> bool test()
> {
>     return \
>         a() <= b() &&
>         c() >= d() &&
>         e() == f() &&
>         g() != h() &&
>         i() >  j() &&
>         k() <  l() &&
              ^
>                m() == n() // !!!
>         ;
> }

Yes.  In the line "k() < l() &&", the "<" is being recognised as a
template opener.

The syntax of C++ is ambiguous, and it is difficult for anything which
isn't a compiler reliably to distinguish between "less than" and "open
template" in circumstances like that.  It was easier for earlier
versions of C++, where the "&&" operator wasn't valid inside a template.

I'm not sure I can do very much to help, here.  Even waiting on the
closing ">" before recognising a template wouldn't help much, because
you're just as likely to have the line with "<" before the line with
">".

There are crude workarounds, like writing "!(k() >= l()), but that's
horrible.

So, sorry and all that, I don't think I can do anything to fix this.

-- 
Alan Mackenzie (Nuremberg, Germany).




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#24195; Package emacs,cc-mode. Full text available.

Message received at 24195 <at> debbugs.gnu.org:


Received: (at 24195) by debbugs.gnu.org; 10 Aug 2016 22:07:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 10 18:07:27 2016
Received: from localhost ([127.0.0.1]:52696 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bXbep-0005YU-Kg
	for submit <at> debbugs.gnu.org; Wed, 10 Aug 2016 18:07:27 -0400
Received: from mail.workgrouplinux.net ([207.195.177.82]:51728)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <robert-emacs@HIDDEN>) id 1bXben-0005YK-BF
 for 24195 <at> debbugs.gnu.org; Wed, 10 Aug 2016 18:07:26 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=simple; d=cochranmail.com; h=from:to
 :cc:subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=dkim1; bh=sn4EDh/ruo+FyWuk4NrMMqXx0AM=; b=savfE
 USJAWWn3dEZ2XXd2SXb1yNAV36aIHArQP0CDzEd0JE/ysQOtXBMomEdLH/IUrgNt
 /Bi/CluOjafMg5Hi67UjWHcWuBC1WLSJiqa2HEh/y4LRhHk4i2Lf7Vsn8iQrEAZw
 a9AUCEOHZYLk8wL+0ml6VupN7WJLY4G+0pU2noQ0ZuibCSETscCmZ3x97uBh4sq+
 gFyF/VoGSIQMi1rUCQOrkF9hsBeMdhuQ86vzGU48of1CS35ZcDjBZq5fjRCaXuDx
 ZOgk8hdOrMoMcZSqNkyfnbns2JYmpIAV2ThIVM0z5acObyzEkSDoToHIYaZVXfp7
 QGY+D8GVeonOy0Tjg==
Received: (qmail 25401 invoked by uid 0); 10 Aug 2016 22:07:22 -0000
Comment: DomainKeys? See http://antispam.yahoo.com/domainkeys
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=private; d=cochranmail.com;
 b=hsB1yGcjkY5qg6dMyucBhTwgzV5cP3eQrf/+7Qckgc+mQX11FKtUEdCeu5jKYV0oK5wZuAo8IOSqJcnjYOHYsQ==;
Received: from 131-191-86-130.as.clicknet.org (HELO SoraLaptop)
 (robert@HIDDEN@131.191.86.130)
 by mail.cochrantribe.org with ESMTPA; 10 Aug 2016 22:07:22 -0000
From: Robert Cochran <robert-emacs@HIDDEN>
To: Arash <pbqbqp@HIDDEN>
Subject: Re: bug#24195: 25.0.95;
 Wrong indentation after a 'less < than' comparison (c++-mode)
References: <86a8glhsk3.fsf@HIDDEN>
Date: Wed, 10 Aug 2016 15:07:19 -0700
In-Reply-To: <86a8glhsk3.fsf@HIDDEN> (Arash's message of "Wed, 10 Aug 2016
 14:08:52 +0430")
Message-ID: <87lh0446so.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24195
Cc: 24195 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

I can comfirm; error is still present on emacs-25 branch @ commit f785ff4
-- 
~Robert Cochran

GPG Fingerprint - E778 2DD4 FEA6 6A68 6F26  AD2D E5C3 EB36 4886 8871




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#24195; Package emacs,cc-mode. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Aug 2016 15:39:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 10 11:39:11 2016
Received: from localhost ([127.0.0.1]:52416 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bXVb5-00013k-68
	for submit <at> debbugs.gnu.org; Wed, 10 Aug 2016 11:39:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56393)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pbqbqp@HIDDEN>) id 1bXVb1-00012M-A5
 for submit <at> debbugs.gnu.org; Wed, 10 Aug 2016 11:39:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pbqbqp@HIDDEN>) id 1bXPyW-0007rv-PB
 for submit <at> debbugs.gnu.org; Wed, 10 Aug 2016 05:39:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 HK_RANDOM_ENVFROM,HK_RANDOM_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59869)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pbqbqp@HIDDEN>) id 1bXPyW-0007rr-Ly
 for submit <at> debbugs.gnu.org; Wed, 10 Aug 2016 05:39:00 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53914)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pbqbqp@HIDDEN>) id 1bXPyV-0006BN-IR
 for bug-gnu-emacs@HIDDEN; Wed, 10 Aug 2016 05:39:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pbqbqp@HIDDEN>) id 1bXPyS-0007qE-By
 for bug-gnu-emacs@HIDDEN; Wed, 10 Aug 2016 05:38:59 -0400
Received: from mail-wm0-x233.google.com ([2a00:1450:400c:c09::233]:37805)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pbqbqp@HIDDEN>) id 1bXPyS-0007pz-4B
 for bug-gnu-emacs@HIDDEN; Wed, 10 Aug 2016 05:38:56 -0400
Received: by mail-wm0-x233.google.com with SMTP id i5so91013240wmg.0
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Aug 2016 02:38:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version;
 bh=9JcEqwd1t+FdM0LRINMft5Ciz6eSKGEvqnWWCoEdZwo=;
 b=StT1q9Lh49YWPxvdZ2LBSd3RM+4+6ckhokNmkL/JMqZYaxJ6GGgqVCu7NKuDwtJmoo
 4LnN7mbuHX75ihfGoS2fvKHBpUmoIMWnsMKdfwJcYjCg2JzbgwCrV9muAPt5YINnLVhJ
 Vb74J20d5jminaDqp/N2zoLnNBzFGv4qlRb75fZT13+DkNksunU/44dQUPecMICdtCSz
 w3EZ9ih2XQX+JF0EJ3P2rubAy7uPbXiswYBfpxsLsJMjRm2qT6xJtUwanfWObtB5kQ+2
 TBBDLDHB4v4lRDi97N3/sTQX2VYygFoGdAho/3LAS+sfswYFGydAfL3uc5iOWlIYFg40
 I2MA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=9JcEqwd1t+FdM0LRINMft5Ciz6eSKGEvqnWWCoEdZwo=;
 b=M1BQuoqbu395cCKvit/UT8SpZkjZFWmX/hwlxEH1x/uragGL03NLjkjJbg8gIeXKn4
 JtyPa0KKfNM1CWoIkRj4uhLaCYSI93eV1gAt7yHZZqUWza0K5CY181DhUch/8mopUXS6
 ruj1UHNwu1TV0fsuVekovrP6dRkzJT+DymK5Vzidlp8YsNEzzVT8Pr1Hws/s2o5ABmpP
 jswUqS0Umvuuoqnr+ptnUKevKo7NhXaJoHi951FNQSTCULwNhwwmVkeBX0dn24cegCxa
 PVUskr+od+IKGCqyupqOk/tj4BJGtzYaJG+jmXaaO8oDaLKLQZEGRcglnI2s4QzpI8nW
 aw1Q==
X-Gm-Message-State: AEkoousTnRl6cHgd036fxXsyfBG1SB4kSIGl9qx6ff1uGpEW6TjG/oYotrar2ckjYEHf0A==
X-Received: by 10.194.221.134 with SMTP id qe6mr3000047wjc.165.1470821934830; 
 Wed, 10 Aug 2016 02:38:54 -0700 (PDT)
Received: from lo ([37.254.103.174])
 by smtp.gmail.com with ESMTPSA id ko7sm42011120wjc.48.2016.08.10.02.38.54
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 10 Aug 2016 02:38:54 -0700 (PDT)
Received: by lo (Postfix, from userid 1001)
 id 9083E1433E7; Wed, 10 Aug 2016 14:08:52 +0430 (IRDT)
From: Arash <pbqbqp@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.95; Wrong indentation after a 'less < than' comparison (c++-mode)
Date: Wed, 10 Aug 2016 14:08:52 +0430
Message-ID: <86a8glhsk3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

$ emacs -Q test.cc

bool test()
{
    return \
        a() <= b() &&
        c() >= d() &&
        e() == f() &&
        g() != h() &&
        i() >  j() &&
        k() <  l() &&
               m() == n() // !!!
        ;
}




Acknowledgement sent to Arash <pbqbqp@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24195; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 25 Aug 2016 01:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.